commit:     f9528d194ea4729f78dc410f1629a42e6f0e961d
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 22 11:41:08 2026 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Feb 22 12:03:40 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9528d19

games-strategy/widelands: add 1.3.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-strategy/widelands/Manifest               |  1 +
 games-strategy/widelands/widelands-1.3.1.ebuild | 59 +++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/games-strategy/widelands/Manifest 
b/games-strategy/widelands/Manifest
index 847ec8fa1c3e..8b596f487f11 100644
--- a/games-strategy/widelands/Manifest
+++ b/games-strategy/widelands/Manifest
@@ -1 +1,2 @@
+DIST widelands-1.3.1.tar.gz 468150797 BLAKE2B 
a9f55dc173b0d08e496db4b2c34e6420acfac1d8a69e6e7a22309e6b9c9aab8cd98ce2d1361a458e657c8fc2c812ff7f3f3e0dba34d729b510536e9124d2ccc5
 SHA512 
ecb369078c535d47e3402e397c101ee5dcebdea01b44092870b150753923d385f3509e3e5dbba3caf4d311baba662373d8ce34eb9062681b3d16feb15b55c56d
 DIST widelands-1.3.tar.gz 468148267 BLAKE2B 
2b8e2e725ff1dc9e355490ca6909f71683669883400c318e82ef2d464463f8810217bdf47cb047dda05c8f970fd04569e48304aba9afe8a203bdd45a01edcf16
 SHA512 
f782ff33187574a98f6045bb71cc547126f4acd8e83795ea2c8e9962bef6ed723588e2741d35c11e4682d8d7eaecf5855b03c8bbbc91a4be5c3845140eb0cb66

diff --git a/games-strategy/widelands/widelands-1.3.1.ebuild 
b/games-strategy/widelands/widelands-1.3.1.ebuild
new file mode 100644
index 000000000000..bdcc2d4eefe6
--- /dev/null
+++ b/games-strategy/widelands/widelands-1.3.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+inherit cmake python-any-r1 xdg
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/widelands/widelands.git";
+else
+       SRC_URI="
+               
https://github.com/widelands/widelands/archive/refs/tags/v${PV}.tar.gz
+                       -> ${P}.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Game similar to Settlers 2"
+HOMEPAGE="https://www.widelands.org/";
+
+LICENSE="GPL-2+ || ( Apache-2.0 GPL-3 ) BitstreamVera BSD CC-BY-SA-3.0 MIT 
OFL-1.1"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/icu:=
+       media-libs/glew:0=
+       media-libs/libglvnd
+       media-libs/libpng:=
+       media-libs/libsdl2[opengl,sound,video]
+       media-libs/sdl2-image[jpeg,png]
+       media-libs/sdl2-mixer[vorbis]
+       media-libs/sdl2-ttf
+       virtual/libintl
+       virtual/minizip:=
+"
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/asio
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+"
+
+src_configure() {
+       local mycmakeargs=(
+               -DCCACHE_PROGRAM=no
+               -DGTK_UPDATE_ICON_CACHE=no
+               -DOPTION_BUILD_TESTS=$(usex test)
+               -DWL_INSTALL_BASEDIR="${EPREFIX}"/usr/share/doc/${PF}
+               -DWL_INSTALL_BINDIR="${EPREFIX}"/usr/bin
+               -DWL_INSTALL_DATADIR="${EPREFIX}"/usr/share/${PN}
+       )
+
+       cmake_src_configure
+}

Reply via email to